Cyberduck Mountain Duck CLI

#11702 closed defect (wontfix)

Not possible to search for file recursively

Reported by: lvogt Owned by: jmalek
Priority: normal Milestone:
Component: onedrive Version: 7.9.2
Severity: normal Keywords:
Cc: Architecture:
Platform:

Description

It isn't possible to search after an item deep within the file hierarchy. You need to open the location of the file/folder to find it through the Cyberduck search.

Change History (7)

comment:1 Changed on Jun 8, 2021 at 7:15:48 AM by dkocher

  • Summary changed from Recursive Search doesn't work to Not possible to search for file recursively

comment:2 Changed on Jun 8, 2021 at 8:39:43 AM by jmalek

  • Owner set to jmalek
  • Platform macOS 11 deleted
  • Status changed from new to assigned

comment:3 Changed on Jun 8, 2021 at 9:41:51 AM by dkocher

  • Milestone set to 7.9.4

comment:4 Changed on Jun 24, 2021 at 6:58:10 AM by dkocher

  • Milestone changed from 7.9.4 to 7.10

Milestone renamed

comment:5 Changed on Jul 1, 2021 at 9:44:51 AM by dkocher

  • Milestone 7.10 deleted

comment:6 Changed on Jul 2, 2021 at 9:13:42 AM by jmalek

After a bit of research, following applies:

  • /Shared cannot be searched.
    GET https://graph.microsoft.com/v1.0/me/drive/sharedWithMe/search(q='Test')
    {
        "error": {
            "code": "BadRequest",
            "message": "The request URI is not valid. The segment 'sharedWithMe' must be the last segment in the URI because it is one of the following: $ref, $batch, $count, $value, $metadata, a named media resource, an action, a noncomposable function, an action import, a noncomposable function import, an operation with void return type, or an operation import with void return type.",
        }
    }
    
  • Folders added to OneDrive are not searchable
    • Search Results in /My Files/Folder Shared With Me/ will never appear
  • Finding files inside a Shared folder must be done while having that folder open
    • Searching in /My Files/Folder Shared With Me will return valid files

comment:7 Changed on Jul 2, 2021 at 9:21:26 AM by jmalek

  • Resolution set to wontfix
  • Status changed from assigned to closed

Recursive Search for Microsoft Graph (OneDrive, Sharepoint) is disabled in latest release (r51523), and will be deleted in a future version.

Note: See TracTickets for help on using tickets.